Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.action
Class ActionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.teleal.cling.model.action.ActionException

All Implemented Interfaces:
  Serializable

    public class ActionException

extends Exception

Thrown (or encapsulated in `ActionInvocation` when an action execution failed.

Author:
  Christian Bauer
See Also:
  Serialized Form

Constructor Summary
`ActionException(ErrorCode errorCode)`
`ActionException(ErrorCode errorCode, String message)`
`ActionException(ErrorCode errorCode, String message, boolean concatMessages)`
`ActionException(ErrorCode errorCode, String message, Throwable cause)`
`ActionException(int errorCode, String message)`
`ActionException(int errorCode, String message, Throwable cause)`

Method Summary
`int` | `getErrorCode()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionException

    public ActionException(int errorCode,
                           String message)

### ActionException

    public ActionException(int errorCode,
                           String message,
                           Throwable cause)

### ActionException

    public ActionException(ErrorCode errorCode)

### ActionException

    public ActionException(ErrorCode errorCode,
                           String message)

### ActionException

    public ActionException(ErrorCode errorCode,
                           String message,
                           boolean concatMessages)

### ActionException

    public ActionException(ErrorCode errorCode,
                           String message,
                           Throwable cause)

Method Detail

### getErrorCode

    public int getErrorCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.